REST API v1
SDMGIF Geliştirici & API Portalı
Uygulamanıza, web sitenize veya botlarınıza milyonlarca eğlenceli GIF'i entegre edin. Hızlı, modern ve kolay kullanımlı RESTful JSON API.
Base URL: https://sdmgif.com/api/v1
🔑 API Anahtarınız (Token)
API üzerinden içerik yüklemek veya kimlik doğrulamalı istekler yapmak için API anahtarınızı kullanın.
API token'ınızı görüntülemek ve isteklerinizde kullanmak için lütfen giriş yapın.
Giriş Yap
API Endpoint'leri
GET
/api/v1/gifs/trending
Günün En Popüler GIF'leri
Parametreler: limit (opsiyonel, maks: 50), page (opsiyonel).
curl -X GET "https://sdmgif.com/api/v1/gifs/trending?limit=10"
fetch("https://sdmgif.com/api/v1/gifs/trending?limit=10")
.then(res => res.json())
.then(data => console.log(data));
$response = file_get_contents("https://sdmgif.com/api/v1/gifs/trending?limit=10");
$data = json_decode($response, true);
GET
/api/v1/gifs/search
Anahtar Kelime veya Kategori ile Arama
Parametreler: q (aranacak metin), category (kategori slug), tag (etiket slug), limit.
curl -X GET "https://sdmgif.com/api/v1/gifs/search?q=kedi&limit=5"
fetch("https://sdmgif.com/api/v1/gifs/search?q=kedi&limit=5")
.then(res => res.json())
.then(data => console.log(data));
$response = file_get_contents("https://sdmgif.com/api/v1/gifs/search?q=kedi&limit=5");
$data = json_decode($response, true);
GET
/api/v1/gifs/random
Rastgele Bir GIF Getir
curl -X GET "https://sdmgif.com/api/v1/gifs/random"
fetch("https://sdmgif.com/api/v1/gifs/random")
.then(res => res.json())
.then(data => console.log(data));
$response = file_get_contents("https://sdmgif.com/api/v1/gifs/random");
$data = json_decode($response, true);
GET
/api/v1/gifs/{idOrSlug}
Tekil GIF Verisi
curl -X GET "https://sdmgif.com/api/v1/gifs/1"
fetch("https://sdmgif.com/api/v1/gifs/1")
.then(res => res.json())
.then(data => console.log(data));
$response = file_get_contents("https://sdmgif.com/api/v1/gifs/1");
$data = json_decode($response, true);
GET
/api/v1/categories
Tüm Kategoriler
curl -X GET "https://sdmgif.com/api/v1/categories"
POST
/api/v1/gifs/upload
Bearer Token Gerekli
Form-data parametreleri: gif_file (zorunlu), title (zorunlu), tags, category_slug.
curl -X POST "https://sdmgif.com/api/v1/gifs/upload" \ -H "Authorization: Bearer YOUR_API_TOKEN" \ -F "title=Harika Reaksiyon" \ -F "category_slug=tepkiler" \ -F "tags=komik,reaksiyon" \ -F "gif_file=@/path/to/animation.gif"
const formData = new FormData();
formData.append('title', 'Harika Reaksiyon');
formData.append('gif_file', fileInput.files[0]);
fetch("https://sdmgif.com/api/v1/gifs/upload", {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN'
},
body: formData
}).then(res => res.json()).then(data => console.log(data));
// Guzzle or cURL implementation